Carbon-Programme

Dieses Thema im Forum "Hardware" wurde erstellt von Kobold, 10. April 2003.

  1. Kobold

    Kobold New Member

    Ich weiss, Carbon-Programme lauffen unter OS 9 sowie unter X. Aber gibt es Gründe, wenn man von 9 auf X umsteigt, sämtliche Carbon-Programme neu zu installieren? (Application-Support-Daten, Preferenzen, Systemdaten, die im falschen Systemordner liegen?)

    Merci für eure Antworten
    K.
     
  2. dumpfbacke

    dumpfbacke New Member

    also soweit i was is des ganz einfach. wen du unter osx ein carbo programm installiers, instaliert ers eben unter osx und wen er nen classic folder findet auch noch die os9 komponenten um im 9er zu funken. andersrum aber nicht. wenn dus im 9er installest gehts a nur im 9er.

    im grunde sind aber die ganzen carbon programme ein pfusch. eben keine richtigen osx, mehr so os9 im schafspelz ;-) aber die zeit heilt alle wunden...
     
  3. gratefulmac

    gratefulmac New Member

    Ich hoffe, Du bringst nicht etwas durcheinander.

    Es gibt die Carbonlibrarys,die Cocoalibrarys und Javalibrarys in X.

    die Carbinlibs. ermöglichen es den Programierern Programme die unter OldMacOs laufen leichter an X anzupassen.

    Als Normaluser wirst man es kaum merken, ob ein Programm in Cocoa oder in Carbon erstelt ist.

    Merken tut man es nur wenn man mit Dienste arbeitet. Dieses kann man nur mit cocoaprogs.
     
  4. gratefulmac

    gratefulmac New Member

    Verwechselt jetzt nicht Classic mit Carbon.
     
  5. Kobold

    Kobold New Member

    naja, weiss nicht, ob ich da was durcheinanderbringe oder nicht.

    Wenn ich nun also z.B. ein InDesign unter 9 Installiere, läufft denn das auch unter X mit allem drum und dran?
     
  6. gratefulmac

    gratefulmac New Member

    nur wenn es an X angepasst ist.
    ansonsten in der Classicumgebung.
     
  7. dumpfbacke

    dumpfbacke New Member

    also ich hab hier indesign 2. das is an osx angepasst, aber kein richtiges osx program. bedeutet: ich habs unter osx installed und es funkt jetz unter osx und unter os9. wen ich allerdings nur unter os9 installed hätte würds a nur unter os9 funken.
    (soweit i was)
     

Diese Seite empfehlen